<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Memoram</title>

        <!-- Aquí escribiremos nuestro script -->
        <script>
            var temporary, imgTemporary, indexTemporary, pairs;
            var waiting = false;
            var images = ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9", 
                          "0", "1", "2", "3", "4", "5", "6", "7", "8", "9"];
    
            function showImage(index, image){
                document.getElementById(image.id).src = "img_numeros/" + images[index] + ".png";
                if(waiting==false)
                {
                    temporary = images[index];
                    imgTemporary = image.id;
                    indexTemporary = index;
                    waiting = true;
                }
                else {
                    waiting = false;
                    if(temporary == images[index])
                    {
                        setTimeout(function (){hideImage(image.id, imgTemporary)}, 500);
                        pairs++
                        if(pairs==9){
                            alert("Felicidades, encontrastes todos los pares.");
                        }
                    }
                    else{
                        setTimeout(function (){returnImage(image.id, imgTemporary)}, 500);
                    }
                }
            }
    
            //Revolver las imagenes con el metodo de ordenamiento de burbuja
            function Shuffle(){
                var temp;
                for (let i = images.length-1; i > 0; i--) {
                    const index = Math.floor(Math.random()*(i+1)); 
                    temp = images[i];
                    images[i] = images[index];
                    images[index]=temp;
                }
                alert(images);
            }
        
            function hideImage(image1, image2){
                alert("Encontrastes un par de numeros.");
                document.getElementById(image1).src = null;
                document.getElementById(image2).src = null;
            }

            function returnImage(image1, image2){
                alert("No es un par.");
                document.getElementById(image1).src = "img_numeros/interrogacion.png";
                document.getElementById(image2).src = "img_numeros/interrogacion.png";
            }
        </script>
</head>
<body onload="Shuffle()">
    <table>
        <tr>
            <td><img src="img_numeros/interrogacion.png" id="img1" alt="" widh="200px" height="200px" onclick="showImage(0, img1)"></td>
            <td><img src="img_numeros/interrogacion.png" id="img2" alt="" widh="200px" height="200px" onclick="showImage(1, img2)"></td>
            <td><img src="img_numeros/interrogacion.png" id="img3" alt="" widh="200px" height="200px" onclick="showImage(2, img3)"></td>
            <td><img src="img_numeros/interrogacion.png" id="img4" alt="" widh="200px" height="200px" onclick="showImage(3, img4)"></td>
            <td><img src="img_numeros/interrogacion.png" id="img5" alt="" widh="200px" height="200px" onclick="showImage(4, img5)"></td>
        </tr>
        <tr>
            <td><img src="img_numeros/interrogacion.png" id="img6" alt="" widh="200px" height="200px" onclick="showImage(5, img6)"></td>
            <td><img src="img_numeros/interrogacion.png" id="img7" alt="" widh="200px" height="200px" onclick="showImage(6, img7)"></td>
            <td><img src="img_numeros/interrogacion.png" id="img8" alt="" widh="200px" height="200px" onclick="showImage(7, img8)"></td>
            <td><img src="img_numeros/interrogacion.png" id="img9" alt="" widh="200px" height="200px" onclick="showImage(8, img9)"></td>
            <td><img src="img_numeros/interrogacion.png" id="img10" alt="" widh="200px" height="200px" onclick="showImage(9, img10)"></td>
        </tr>
        <tr>
            <td><img src="img_numeros/interrogacion.png" id="img11" alt="" widh="200px" height="200px" onclick="showImage(10, img11)"></td>
            <td><img src="img_numeros/interrogacion.png" id="img12" alt="" widh="200px" height="200px" onclick="showImage(11, img12)"></td>
            <td><img src="img_numeros/interrogacion.png" id="img13" alt="" widh="200px" height="200px" onclick="showImage(12, img13)"></td>
            <td><img src="img_numeros/interrogacion.png" id="img14" alt="" widh="200px" height="200px" onclick="showImage(13, img14)"></td>
            <td><img src="img_numeros/interrogacion.png" id="img15" alt="" widh="200px" height="200px" onclick="showImage(14, img15)"></td>
        </tr>
        <tr>
            <td><img src="img_numeros/interrogacion.png" id="img16" alt="" widh="200px" height="200px" onclick="showImage(15, img16)"></td>
            <td><img src="img_numeros/interrogacion.png" id="img17" alt="" widh="200px" height="200px" onclick="showImage(16, img17)"></td>
            <td><img src="img_numeros/interrogacion.png" id="img18" alt="" widh="200px" height="200px" onclick="showImage(17, img18)"></td>
            <td><img src="img_numeros/interrogacion.png" id="img19" alt="" widh="200px" height="200px" onclick="showImage(18, img19)"></td>
            <td><img src="img_numeros/interrogacion.png"id="img20" alt="" widh="200px" height="200px" onclick="showImage(19, img20)"></td>
        </tr>
    </table>
</body>
</html>